<script>
  import { getContext } from 'svelte';
  import ModalContent from './ModalContent.svelte';

  const { open } = getContext('simple-modal');

  let name = '';

  function handleHello() {
    window.backend
      .hello(name)
      .then(result => {
        open(ModalContent, { message: result });
      })
      .catch(e => {
        console.log(e);
      });
  }
</script>

<main>
  <form on:submit|preventDefault={handleHello}>
    <label for="name">Entrer votre nom:</label>
    <input type="text" id="name" name="name" bind:value={name} required />
    <button>send !</button>
  </form>
</main>
